Back to Platform

PATCH /company-members/{id}

PATCH
/company-members/{id}

PATCH operation for /company-members/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://dev-rest.onboard.io/company-members/string" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string",    "last_name": "string",    "email": "[email protected]",    "invited_at": "2021-01-01T00:00:00Z",    "status": "active",    "external_id": "string",    "role": "string"  }'
{
  "id": 1,
  "first_name": "string",
  "last_name": "string",
  "email": "[email protected]",
  "avatar": "string",
  "name": "string",
  "profile": "string",
  "created_at": "2021-01-01T00:00:00Z",
  "invited_at": "2021-01-01T00:00:00Z",
  "status": "active",
  "external_id": "string",
  "role": "string",
  "last_login": "string",
  "onboardee_company": "string"
}
Empty
Empty
Empty

How is this guide?